# TRTCCloudVideoView class Null safety

Video view window, which displays the local video, remote video, or substream

Parameters:

onViewCreated: `viewId` generated by callback for view creation

key: Widget key, which can be left empty

viewType: this parameter takes effect only for Android and can be left empty

The type of view component used for Android video rendering. There are two components to choose from: `SurfaceView` and `TextureView` (default value)

If you want to use `TextureView` for rendering, pass in `TRTCCloudDef.TRTC_VideoView_TextureView` for `viewType`

If you want to use `SurfaceView` for rendering, pass in `TRTCCloudDef.TRTC_VideoView_SurfaceView` for `viewType`

Inheritance
  - Object
  - DiagnosticableTree
  - Widget
  - StatefulWidget
  - TRTCCloudVideoView

## Constructors

TRTCCloudVideoView({Key? key, String? viewType, String? viewMode, CustomRender? textureParam, ValueChanged<int>? onViewCreated, PlatformViewHitTestBehavior? hitTestBehavior, Set<Factory<OneSequenceGestureRecognizer>>? gestureRecognizers})
  const

## Properties

gestureRecognizers → Set<Factory<OneSequenceGestureRecognizer>>?
  final
hashCode → int
  The hash code for this object.
  @nonVirtual, read-only, inherited
hitTestBehavior → PlatformViewHitTestBehavior?
  final
key → Key?
  Controls how one widget replaces another widget in the tree.
  final, inherited
onViewCreated → ValueChanged<int>?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
textureParam → CustomRender?
  final
viewMode → String?
  final
viewType → String?
  final

## Methods

createElement() → StatefulElement
  Creates a StatefulElement to manage this widget's location in the tree.
  inherited
createState() → State<StatefulWidget>
  Creates the mutable state for this widget at a given location in the tree.
  override
debugDescribeChildren() → List<DiagnosticsNode>
  Returns a list of `DiagnosticsNode` objects describing this node's children.
  @protected, inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toDiagnosticsNode({String? name, DiagnosticsTreeStyle? style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep.
  inherited
toString({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  A string representation of this object.
  inherited
toStringDeep({String prefixLineOne = '', String? prefixOtherLines, DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a string representation of this node and its descendants.
  inherited
toStringShallow({String joiner = ', ', DiagnosticLevel minLevel = DiagnosticLevel.debug}) → String
  Returns a one-line detailed description of the object.
  inherited
toStringShort() → String
  A short, textual description of this widget.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  @nonVirtual, inherited